System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

This interface is typically used to capture the , , and semantics of a .

Provides functionality to commit or rollback changes to an object that is used as a data source.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This method is typically used to capture the semantics of a .

  If is called on an object that is already being edited, the second and subsequent calls are ignored.

  Begins an edit on an object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This method is typically used to capture the semantics of a .

  This method will be ignored if called on an object that is not being edited.

  If the owning list implements , calling on an object created using discards the object.

  Discards changes since the last call.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This method is typically used to capture the semantics of a .

  This method will be ignored if called on an object that is not being edited.

  Pushes changes since the last or call into the underlying object.